# FillDirection

## Overview

FillDirection는 레이아웃 요소가 자식 요소들을 배치하는 방향을 지정하는 Enum입니다.

UIListLayout 및 유사한 레이아웃 클래스에서 FillDirection 속성으로 사용되며, 자식 요소들이 수평 또는 수직으로 배치될지를 결정합니다.

## Items

| Name       | Value | Description            |
| ---------- | ----- | ---------------------- |
| Horizontal | 0     | 자식 요소들을 가로 방향으로 배치합니다. |
| Vertical   | 1     | 자식 요소들을 세로 방향으로 배치합니다. |

## See also

{% content-ref url="/pages/SDYrpXnE32K4RLlF2ije" %}
[UIGridStyleLayout](/korean/development/api-reference/classes/uigridstylelayout.md)
{% endcontent-ref %}


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.overdare.com/korean/development/api-reference/enums/filldirection.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
